メインコンテンツへスキップ
PATCH
/
crm
/
pipelines
/
2026-03
/
{objectType}
/
{pipelineId}
cURL
curl --request PATCH \
  --url https://api.hubapi.com/crm/pipelines/2026-03/{objectType}/{pipelineId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "archived": true,
  "displayOrder": 123,
  "label": "<string>"
}
'
{
  "archived": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "displayOrder": 123,
  "id": "<string>",
  "label": "<string>",
  "stages": [
    {
      "archived": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "displayOrder": 123,
      "id": "<string>",
      "label": "<string>",
      "metadata": {},
      "updatedAt": "2023-11-07T05:31:56Z",
      "writePermissions": "CRM_PERMISSIONS_ENFORCEMENT",
      "archivedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "updatedAt": "2023-11-07T05:31:56Z",
  "archivedAt": "2023-11-07T05:31:56Z"
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

objectType
string
必須
pipelineId
string
必須

クエリパラメータ

validateDealStageUsagesBeforeDelete
boolean
デフォルト:false
validateReferencesBeforeDelete
boolean
デフォルト:false

ボディ

application/json
archived
boolean

パイプラインがアーカイブされているかどうか。このプロパティーは、アーカイブされたパイプラインを復元する場合にのみ指定します。他の呼び出しで指定されると、リクエストに失敗し、「400 Bad Request」が返されます。

displayOrder
integer<int32>

このパイプラインを表示する順序。2つのパイプラインの「displayOrder」が同じ場合、ラベルのアルファベット順に並べ替えられます。

label
string

HubSpotのUIでパイプラインを整理するために使用される固有ラベル

レスポンス

successful operation

archived
boolean
必須

パイプラインがアーカイブされているかどうか。

createdAt
string<date-time>
必須

パイプラインが作成された日付。既定のパイプラインではcreatedAt = 0になります。

displayOrder
integer<int32>
必須

このパイプラインを表示する順序。2つのパイプラインの「displayOrder」が同じ場合、ラベルのアルファベット順に並べ替えられます。

id
string
必須

HubSpotによって生成される固有ID。パイプラインの取得や更新に使用されます。

label
string
必須

HubSpotのUIでパイプラインを整理するために使用される固有ラベル

stages
object[]
必須

パイプラインに関連付けられたステージ。これは、パイプライン ステージ エンドポイントで取得して更新できます。

updatedAt
string<date-time>
必須

パイプラインが最後に更新された日付。

archivedAt
string<date-time>

パイプラインがアーカイブされた日付。「archivedAt」はパイプラインがアーカイブされている場合にのみ存在します。

Last modified on April 13, 2026